GET /patient

twinehealth.com

Summary: List patients
Operation ID: fetchPatients
Auth: unknown
Description

Get a list of patients.

Parameters (11)

filter[archived] (boolean, query, optional)

If not specified, return all patients. If set to 'true' return only archived patients, if set to 'false', return only patients who are not archived.

filter[created_at] (string, query, optional)

The start (inclusive) and end (exclusive) dates are ISO date and time strings separated by `..`. Example for patients created in November 2017 (America/New_York): `filter[created_at]=2017-11-01T00:00:00-04:00..2017-12-01T00:00:00-05:00`

filter[groups] (string, query, optional)

Comma-separated list of group ids. Note that either `filter[group]` or `filter[organization]` must be specified.

filter[identifier][system] (string, query, optional)

Identifier system (example: "MyEHR") - requires a "filter[identifier][value]" parameter

filter[identifier][value] (string, query, optional)

Identifier value (example: "12345") - requires a "filter[identifier][system]" parameter

filter[organization] (string, query, optional)

Fitbit Plus organization id. Note that either `filter[group]` or `filter[organization]` must be specified.

filter[updated_at] (string, query, optional)

The start (inclusive) and end (exclusive) dates are ISO date and time strings separated by `..`. Example for patients updated in November 2017 (America/New_York): `filter[updated_at]=2017-11-01T00:00:00-04:00..2017-12-01T00:00:00-05:00`

page[cursor] (string, query, optional)

Page cursor

page[limit] (integer, query, optional, default: 50)

Page limit

Constraints: {'minimum': 0}

page[number] (integer, query, optional, default: 1)

Page number

page[size] (integer, query, optional, default: 10)

Page size

Constraints: {'minimum': 0, 'maximum': 50}

No probe data for this endpoint yet.